Subject: bug#26795: closed (Re: bug#26795: gnu: emacs-ag: Propagate the-silver-searcher.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 May 2017 08:43:02 +0000

Your bug report

#26795: gnu: emacs-ag: Propagate the-silver-searcher.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26795: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26795
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26795: gnu: emacs-ag: Propagate the-silver-searcher.
From: Clément Lassieur <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Fri, 12 May 2017 10:42:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mathieu Othacehe <[email-masked]> writes:

> Hi Clément & Ludo,
>
> I also ran into the same issue. With Ludo's comment below addressed,
> it's ok for me !
>
>> I’d suggest writing the rationale for propagation in a comment above.

Ok I pushed then, with the comment.  Thanks for the review :-)

Subject: gnu: emacs-ag: Propagate the-silver-searcher.
From: Clément Lassieur <[email-masked]>
To: [email-masked]
Date: Sat, 06 May 2017 11:04:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

emacs-ag is mostly unusable via Tramp (except if the
'the-silver-searcher' store element is also in the remote system, which
will never happen if the remote system is not running Guix).

I believe 'the-silver-searcher' should be propagated, and the executable
should be 'ag' (which is the default value) instead of
'/gnu/store/...-the-silver-searcher-1.0.2/bin/ag', so that it can be
found on remote systems.